Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Shawn Penn" <[email-masked]>
Date: Mon, 18 Apr 2011 14:20:50 -0400

Shawn,
I am unable to pull up any orders to the address and business listed below.  Do you have the tube that the posters can in?  If you could provide the order number on the label of that tube, I could look it up and send the invoice over to you.  If that is not available to you, any additional information you could provide would be helpful.
Thank you,
Michael B 
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: LLPS 
  To: [email-masked] 
  Sent: Monday, April 18, 2011 10:58 AM
  Subject: LLPS Contact Us Submission

  Name: Shawn Penn

  E-mail Address: [email-masked]

  Telephone: Not specified

  Message: Could you please send me an invoice for our order? 
  We ordered and received 3 posters (I believe they were to total $67 or
  $70) and we were to receive an invoice so we could pay by check. As
  far as I can tell, we haven't received an invoice by mail or email. 
  If you could please send us an invoice so we can pay for the posters,
  that would be greatly appreciated. 

  Respectfully, 

  Shawn Q Penn 

  Our contact information is: 
  Paso Robles Community Church 
  ATTN: Pastor Shawn Penn 
  2706 Spring Street 
  Paso Robles, CA 93446 

  [email-masked]

  Request generated on April 18th, 2011 at 10:58 AM EST from the IP address 76.209.221.210